=== debian/changelog ===
tty-solitaire (1.3.0-2) unstable; urgency=medium

  * d/patches/0001-reproducible-build.patch (Closes: #993279)
  * d/control: Bump Standards-Version

 -- Sven Wick <sven.wick@gmx.de>  Thu, 02 Sep 2021 22:30:12 +0200

tty-solitaire (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #969419)

 -- Sven Wick <sven.wick@gmx.de>  Sat, 24 Apr 2021 01:26:54 +0200
