=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_install:

override_dh_auto_build:
	make
	help2man -n "ncurses-based klondike solitaire game" -N -S TTY-SOLITAIRE -o $(CURDIR)/ttysolitaire.1 $(CURDIR)/ttysolitaire

%:
	dh $@
