## tty-solitaire 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.3.0
+VERSION = 1.3.1
 
 CC     ?= gcc
 CFLAGS ?= -g
