=== debian/changelog ===
tty-solitaire (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop d/patches/0001-reproducible-build.patch
  * d/rules: change hardening=+all
                 to hardening=+all,-format (Closes: #997164)

 -- Sven Wick <sven.wick@gmx.de>  Sat, 23 Oct 2021 23:16:14 +0200
