=== debian/control ===
Source: tty-solitaire
Section: games
Priority: optional
Maintainer: Sven Wick <sven.wick@gmx.de>
Build-Depends: debhelper-compat (= 13), help2man, libncurses-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/mpereira/tty-solitaire
Vcs-Browser: https://salsa.debian.org/swick/tty-solitaire
Vcs-Git: https://salsa.debian.org/swick/tty-solitaire.git

Package: tty-solitaire
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ncurses-based klondike solitaire game
 Play solitaire in your favorite terminal,
 screen/tmux or even in a remote SSH session.
