=== debian/watch ===
version=4                                                                                                              
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tty-solitaire-$1\.tar\.gz/ \
  https://github.com/mpereira/tty-solitaire/tags .*/v?(\d\S+)\.tar\.gz
